aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-gtk/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-01-10 07:44:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-10 07:44:42 +0000
commit3fc362a17dc21fa57298a3421d056ebc3f24cce7 (patch)
tree9df20ec1f05169c2d6777f2b7a4fb390b2f8c02a /main/py-gtk/APKBUILD
parentc7fbf87c6c464229547462558814ad019a32fb6c (diff)
downloadaports-3fc362a17dc21fa57298a3421d056ebc3f24cce7.tar.gz
aports-3fc362a17dc21fa57298a3421d056ebc3f24cce7.tar.bz2
aports-3fc362a17dc21fa57298a3421d056ebc3f24cce7.tar.xz
main/py-gtk: minor cleanup
Diffstat (limited to 'main/py-gtk/APKBUILD')
-rw-r--r--main/py-gtk/APKBUILD7
1 files changed, 4 insertions, 3 deletions
diff --git a/main/py-gtk/APKBUILD b/main/py-gtk/APKBUILD
index 674074000c..3f02a374ea 100644
--- a/main/py-gtk/APKBUILD
+++ b/main/py-gtk/APKBUILD
@@ -27,14 +27,15 @@ dev() {
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
- install -m644 gtk/gtk-extrafuncs.defs ""$pkgdir"/usr/share/pygtk/2.0/defs/" || return 1
- rm "$pkgdir"/usr/lib/python2.7/site-packages/gtk-2.0/gtk/*.la
+ install -m644 gtk/gtk-extrafuncs.defs \
+ "$pkgdir"/usr/share/pygtk/2.0/defs/ || return 1
+ rm "$pkgdir"/usr/lib/python*/site-packages/gtk*/gtk/*.la \
+ "$pkgdir"/usr/lib/python*/site-packages/gtk*/*.la
}
demo() {
pkgdesc="Demonstration of pygtk"
depends="py-gtk"
- rm "$pkgdir"/usr/lib/python2.7/site-packages/gtk-2.0/*.la
mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/lib/pygtk/2.0
mv "$pkgdir"/usr/bin/pygtk-demo "$subpkgdir"/usr/bin/
mv "$pkgdir"/usr/lib/pygtk/2.0/*demo* \